Name:ProTrader
 
Version:1.6.7.1
 
Publisher:PT. Phillip Sekuritas Indonesia
 
The following prerequisites are required:
 
  • .NET Framework 2.0 (x86)
If these components are already installed, you can launch the application now. Otherwise, click the button below to install the prerequisites and run the application.
 
Install
 
PT. Phillip Sekuritas Indonesia Customer Support    ::    ClickOnce and .NET Framework Resources